Bug 253805 - Review Request: scim-array - Array 30 input method engine for SCIM
Review Request: scim-array - Array 30 input method engine for SCIM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-21 21:19 EDT by Ding-Yi Chen
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 19:54:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2007-08-21 21:19:53 EDT
Spec URL: http://dchen.fedorapeople.org/files/rpms/scim-array.spec
SRPM URL: http://dchen.fedorapeople.org/files/rpms/scim-array-0.0.1-0.fc7.src.rpm
Description: 
scim-array is a Array 30 input method engine for SCIM to support all the functions of Array 30, including first-level and second-level short codes, special codes, and symbols. It also provides the notification of special codes and the "special code only" mode. scim-array is a free software and distributed with General Public License.
Comment 1 Parag AN(पराग) 2007-08-22 00:34:33 EDT
Change License to GPLv2 and remove INSTALL from %doc 
Comment 2 Parag AN(पराग) 2007-08-22 00:43:48 EDT
remove .la files 
not required to pass prefix to %configure 
Comment 3 Ding-Yi Chen 2007-08-22 01:28:38 EDT
After .la files removed, the rpmbuild -bi scim-array.spec states that:
====================================================
error: Installed (but unpackaged) file(s) found:
   /usr/lib64/scim-1.0/1.4.0/IMEngine/array.la
   /usr/lib64/scim-1.0/1.4.0/SetupUI/array-imengine-setup.la


RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/lib64/scim-1.0/1.4.0/IMEngine/array.la
   /usr/lib64/scim-1.0/1.4.0/SetupUI/array-imengine-setup.la
===========================================
What should I do with it?
Comment 4 Ding-Yi Chen 2007-08-23 23:20:19 EDT
The SPEC is updated according to COMMENTS.
Comment 5 Ding-Yi Chen 2007-08-23 23:38:23 EDT
New Spec URL: http://dchen.fedorapeople.org/files/rpms/scim-array.spec
New SRPM URL: http://dchen.fedorapeople.org/files/rpms/scim-array-0.0.1-
1.fc7.src.rpm
Comment 6 Parag AN(पराग) 2007-08-24 00:00:21 EDT
package is not owning
/usr/share/scim/Array
Comment 7 Ding-Yi Chen 2007-08-24 00:41:52 EDT
SPEC file update according to Comment #6
New Spec URL: http://dchen.fedorapeople.org/files/rpms/scim-array.spec
New SRPM URL: http://dchen.fedorapeople.org/files/rpms/scim-array-0.0.1-
2.src.rpm
Comment 8 Ding-Yi Chen 2007-08-24 01:32:29 EDT
SPEC file updated.
Remove following files in %file section
  %{_datadir}/scim/Array/array-shortcode.cin
  %{_datadir}/scim/Array/array-special.cin
  %{_datadir}/scim/Array/array30.cin

New Spec URL: http://dchen.fedorapeople.org/files/rpms/scim-array.spec
New SRPM URL: http://dchen.fedorapeople.org/files/rpms/scim-array-0.0.1-
3.fc7.src.rpm
Comment 9 Parag AN(पराग) 2007-08-24 02:02:20 EDT
W: scim-array macro-in-%changelog file
Macros are expanded in %changelog too, which can in unfortunate cases lead
to the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally
odd entries eg. in source rpms, which is rarely wanted.  Avoid use of macros
in %changelog altogether, or use two '%'s to escape them, like '%%foo'.
Comment 10 Parag AN(पराग) 2007-08-24 02:09:08 EDT
replace changelog as given below
* Fri Aug 17 2007 Ding-Yi Chen <dchen@redhat.com> - 0.0.1-3
- Remove following files in %%file section
  %%{_datadir}/scim/Array/array-shortcode.cin
  %%{_datadir}/scim/Array/array-special.cin
  %%{_datadir}/scim/Array/array30.cin
* Fri Aug 17 2007 Ding-Yi Chen <dchen@redhat.com> - 0.0.1-2
- Add %%{_datadir}/scim/Array in %%file section.
Comment 11 Ding-Yi Chen 2007-08-24 03:02:31 EDT
SPEC file updated.

Changes:
Remove tags in the changelog section

New Spec URL: http://dchen.fedorapeople.org/files/rpms/scim-array.spec
New SRPM URL: http://dchen.fedorapeople.org/files/rpms/scim-array-0.0.1-
4.fc7.src.rpm
Comment 12 Parag AN(पराग) 2007-08-24 03:45:14 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
1cc73fbc2990898fbee2cfff4c718b15  scim-array-0.0.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Provides: array-imengine-setup.so array.so
+ Requires: libatk-1.0.so.0 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.4) libcairo.so.2
libdl.so.2 libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libgdk-x11-2.0.so.0
libgdk_pixbuf-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0 libgobject-2.0.so.0
libgtk-x11-2.0.so.0 libm.so.6 libpango-1.0.so.0 libpangocairo-1.0.so.0
libscim-1.0.so.8 libscim-1.0.so.8(LIBSCIM_1.0) libscim-gtkutils-1.0.so.8
libstdc++.so.6 libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4)
rtld(GNU_HASH) scim
+ Not a GUI app.

APPROVED.
Comment 13 Ding-Yi Chen 2007-08-28 01:57:29 EDT
New Package CVS Request
=======================
Package Name: scim-array
Short Description: Array 30 Input Method Engine for SCIM
Owners: dchen
Branches: F-7
InitialCC: dchen
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2007-08-28 21:04:39 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.